Skip to main content
POST
/
whatsapp_templates
/
sync
curl --request POST \ --url https://app.kapso.ai/api/v1/whatsapp_templates/sync \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "whatsapp_config_id": "550e8400-e29b-41d4-a716-446655440000" } '
{ "status": "queued", "sync_requests": [ { "id": "sync-run-123abc", "business_account_id": "123456789012345", "anchor_whatsapp_config_id": "config-123abc", "status": "queued", "templates_synced": 0, "templates_created": 0, "templates_updated": 0, "templates_removed": 0, "queued_at": "2024-01-15T10:30:00Z", "started_at": null, "finished_at": null, "job_id": "job-456def", "error_class": null, "error_message": null, "results": {}, "affected_whatsapp_config_ids": [ "config-123abc" ], "anchor_whatsapp_config": { "id": "config-123abc", "name": "Main WhatsApp", "display_phone_number": "+1234567890" } } ], "summary": { "total_requests": 1, "jobs_enqueued": 1, "already_in_progress": 0 } }

Authorizations

X-API-Key
string
header
required

API key required for all endpoints

Body

application/json
whatsapp_config_id
string<uuid>

Specific WhatsApp configuration to sync templates for

Example:

"550e8400-e29b-41d4-a716-446655440000"

customer_id
string<uuid>

Customer ID to sync templates for all their production configs

Example:

"550e8400-e29b-41d4-a716-446655440001"

Response

Sync request accepted and queued

status
string

Overall status of the sync request

Example:

"queued"

sync_requests
object[]

Array of sync requests (one per Business Account)

summary
object

Summary of sync operations